Dismiss maintenance suggestion
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', item: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss"
payload = {
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"state": "not_included",
"note": "<string>",
"id": "<string>",
"kind": "contractor-suitability",
"subjectKind": "<string>",
"subjectId": "<string>",
"result": {
"kind": "contractor-suitability",
"contractor": {
"status": "suggested",
"note": "<string>",
"stated": [
{
"id": "<string>",
"label": "<string>",
"phrase": "<string>"
}
],
"contractors": [
{
"contractorId": "<string>",
"name": "<string>",
"status": "suggested",
"rank": 123,
"overall": 123,
"note": "<string>",
"capabilities": [
{
"id": "<string>",
"label": "<string>",
"state": "fits",
"evidence": "<string>",
"note": "<string>"
}
]
}
],
"notRanked": [
{
"contractorId": "<string>",
"name": "<string>",
"reason": "<string>"
}
]
},
"inspection": {
"status": "suggested",
"note": "<string>",
"findings": [
{
"findingId": "<string>",
"label": "<string>",
"status": "suggested",
"sentences": [
{
"partKey": "<string>",
"text": "<string>",
"status": "suggested",
"kindLabel": "<string>",
"note": "<string>"
}
]
}
],
"suggestedFindingIds": [
"<string>"
],
"truncated": true
},
"invoice": {
"status": "suggested",
"note": "<string>",
"suggestedJob": {
"kind": "repair",
"id": "<string>",
"label": "<string>",
"propertyId": "<string>",
"blockId": "<string>",
"contractorContactId": "<string>"
},
"confidence": 123,
"descriptionMismatch": true,
"possibleDuplicate": true,
"alreadyInvoiced": true,
"current": {
"jobId": "<string>",
"label": "<string>",
"levelLabel": "<string>",
"credible": true,
"mismatch": true,
"duplicate": true,
"alreadyInvoiced": true,
"existingInvoiceNumber": "<string>"
},
"otherJobSuggested": true,
"candidates": [
{
"kind": "repair",
"id": "<string>",
"label": "<string>",
"levelLabel": "<string>",
"credible": true,
"existingInvoiceNumber": "<string>",
"current": true
}
]
}
},
"reviews": [
{
"item": "<string>",
"decision": "accepted",
"recordKind": "<string>",
"recordId": "<string>",
"reviewedByUserId": "<string>",
"note": "<string>",
"createdAt": "<string>"
}
],
"partCount": 123,
"failedParts": 123,
"retrying": true,
"canRetry": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Dismiss maintenance suggestion
Record that a suggestion was dismissed
POST
/
maintenance-pro
/
suggestions
/
{id}
/
dismiss
Dismiss maintenance suggestion
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', item: '<string>', note: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/suggestions/{id}/dismiss"
payload = {
"requestId": "<string>",
"item": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"state": "not_included",
"note": "<string>",
"id": "<string>",
"kind": "contractor-suitability",
"subjectKind": "<string>",
"subjectId": "<string>",
"result": {
"kind": "contractor-suitability",
"contractor": {
"status": "suggested",
"note": "<string>",
"stated": [
{
"id": "<string>",
"label": "<string>",
"phrase": "<string>"
}
],
"contractors": [
{
"contractorId": "<string>",
"name": "<string>",
"status": "suggested",
"rank": 123,
"overall": 123,
"note": "<string>",
"capabilities": [
{
"id": "<string>",
"label": "<string>",
"state": "fits",
"evidence": "<string>",
"note": "<string>"
}
]
}
],
"notRanked": [
{
"contractorId": "<string>",
"name": "<string>",
"reason": "<string>"
}
]
},
"inspection": {
"status": "suggested",
"note": "<string>",
"findings": [
{
"findingId": "<string>",
"label": "<string>",
"status": "suggested",
"sentences": [
{
"partKey": "<string>",
"text": "<string>",
"status": "suggested",
"kindLabel": "<string>",
"note": "<string>"
}
]
}
],
"suggestedFindingIds": [
"<string>"
],
"truncated": true
},
"invoice": {
"status": "suggested",
"note": "<string>",
"suggestedJob": {
"kind": "repair",
"id": "<string>",
"label": "<string>",
"propertyId": "<string>",
"blockId": "<string>",
"contractorContactId": "<string>"
},
"confidence": 123,
"descriptionMismatch": true,
"possibleDuplicate": true,
"alreadyInvoiced": true,
"current": {
"jobId": "<string>",
"label": "<string>",
"levelLabel": "<string>",
"credible": true,
"mismatch": true,
"duplicate": true,
"alreadyInvoiced": true,
"existingInvoiceNumber": "<string>"
},
"otherJobSuggested": true,
"candidates": [
{
"kind": "repair",
"id": "<string>",
"label": "<string>",
"levelLabel": "<string>",
"credible": true,
"existingInvoiceNumber": "<string>",
"current": true
}
]
}
},
"reviews": [
{
"item": "<string>",
"decision": "accepted",
"recordKind": "<string>",
"recordId": "<string>",
"reviewedByUserId": "<string>",
"note": "<string>",
"createdAt": "<string>"
}
],
"partCount": 123,
"failedParts": 123,
"retrying": true,
"canRetry": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Response
Success
Available options:
not_included, off, unsupported, not_requested, pending, ready, unavailable, no_text Available options:
contractor-suitability, inspection-follow-up, invoice-check, invoice-intake Show child attributes
Show child attributes
Show child attributes
Show child attributes